/** \file command.h The structure of server and afs commands. */

/**
 * Defines one command of para_server.
 */
struct server_command {
	/** The name of the command. */
	const char *name;
	/** Pointer to the function that handles the command. */
	int (*handler)(struct rc4_context *, int, char * const * const);
	/** The privileges a user must have to execute this command. */
	unsigned int perms;
	/** One-line description of the command. */
	const char *description;
	/** Summary of the command line options. */
	const char *usage;
	/** The long help text. */
	const char *help;
};
